Package org.eclipse.birt.report.model.api

# Class RuleHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.RuleHandle

public class RuleHandle extends StructureHandle
Represents a rule handle.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`RuleHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef context)`
Deprecated.
`RuleHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext context)`
Construct an handle to deal with the action structure.
`RuleHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of configuration variable.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayExpression()`
Returns the display value of the rule.
`String`
`getRuleExpression()`
Returns the static value of this rule.
`void`
`setDisplayExpression(String expre)`
Sets the display value of this rule.
`void`
`setRuleExpression(String expre)`
Sets the static value of the rule.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RuleHandle

public RuleHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext context)
Construct an handle to deal with the action structure.

Parameters:
  `element` - the element that defined the action.
  `context` - context to the rule structure property.

### RuleHandle

@Deprecated public RuleHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef context)
Deprecated.
Construct an handle to deal with the action structure.

Parameters:
  `element` - the element that defined the action.
  `context` - context to the rule structure property

### RuleHandle

public RuleHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of configuration variable.

Parameters:
  `valueHandle` - the value handle for configuration variable list of one property
  `index` - the position of this configuration variable in the list

## Method Details

### getRuleExpression

public String getRuleExpression()
Returns the static value of this rule.

Returns:
  the static value

### setRuleExpression

public void setRuleExpression(String expre)
Sets the static value of the rule.

Parameters:
  `expre` - the static value to set

### getDisplayExpression

public String getDisplayExpression()
Returns the display value of the rule.

Returns:
  the display value

### setDisplayExpression

public void setDisplayExpression(String expre)
Sets the display value of this rule.

Parameters:
  `expre` - the display value to set